/**
 * 财务进账导入
 */

jQuery(function ($) {
    var $place, $i;//定位要确认的表单
    $(function () {
        $input = $("input[type='text']");
        $input.each(function (i) {
            $(this).on("focus", function () {
                $i = i;
                $place = this;
            })
        })
        $input.first().focus()
        $titleButton = $("input.titleButton");
        $titleButton.bind("click", function () {
            $place.value = this.value;
            $($place).next().val(this.id);
            $input.eq($i + 1).focus();
        });

        $("input.titleButton").each(function (k) {
            var button_val = $(this).val();
            $input.each(function (m) {
                if ($(this).data('name') == button_val) {
                    $(this).val(button_val);
                    $(this).next().val(k);
                }
            });
        });
    });
});
